Accounts & connections · Profiles
Fetches a profile.
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the accounts resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
profileIdrequired | string |
Example
curl -X GET "https://api.pozy.ai/v1/profiles/6a0b6573846efc28aaa9a3ff" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/profiles/6a0b6573846efc28aaa9a3ff", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/profiles/6a0b6573846efc28aaa9a3ff",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
profileobject11 child fields
_idstringuserIdstringnamestringdescriptionstringcolorstringtimezonestringCan be null.
externalIdstringCan be null.
isDefaultbooleanisOverLimitbooleanaccountCountintegercreatedAtstring (date-time)
200 response
{
"profile": {
"_id": "635d87e261ae344ef27fd1df",
"userId": "6da95b9455a22c1e061837af",
"name": "Acme",
"description": "A short description",
"color": "string",
"timezone": "America/New_York",
"externalId": "62c9d6bdf3fa891362623a67",
"isDefault": true,
"isOverLimit": true,
"accountCount": 42,
"createdAt": "2026-10-02T09:00:00.000Z"
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.